Bug 1283226 - Anaconda is unable to configure FC adapter [NEEDINFO]
Anaconda is unable to configure FC adapter
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.1
x86_64 Linux
high Severity urgent
: rc
: ---
Assigned To: Radek Vykydal
Release Test Team
:
Depends On:
Blocks: 1203710
  Show dependency treegraph
 
Reported: 2015-11-18 08:32 EST by Michal Dekan
Modified: 2016-01-20 15:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 15:38:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bcl: needinfo? (mdekan)


Attachments (Terms of Use)
X.log extracted from logs.tar (13.96 KB, text/plain)
2015-11-18 19:24 EST, Brian Lane
no flags Details
ifcfg.log extracted from logs.tar (3.61 KB, text/plain)
2015-11-18 19:24 EST, Brian Lane
no flags Details
packaging.log extracted from logs.tar (2.82 KB, text/plain)
2015-11-18 19:24 EST, Brian Lane
no flags Details
program.log extracted from logs.tar (18.85 KB, text/plain)
2015-11-18 19:24 EST, Brian Lane
no flags Details
storage.log extracted from logs.tar (90.67 KB, text/plain)
2015-11-18 19:24 EST, Brian Lane
no flags Details
anaconda.log extracted from logs.tar (6.27 KB, text/plain)
2015-11-18 19:24 EST, Brian Lane
no flags Details
syslog extracted from logs.tar (113.28 KB, text/plain)
2015-11-18 19:24 EST, Brian Lane
no flags Details

  None (edit)
Comment 2 Brian Lane 2015-11-18 19:24:13 EST
Created attachment 1096447 [details]
X.log extracted from logs.tar
Comment 3 Brian Lane 2015-11-18 19:24:16 EST
Created attachment 1096448 [details]
ifcfg.log extracted from logs.tar
Comment 4 Brian Lane 2015-11-18 19:24:18 EST
Created attachment 1096449 [details]
packaging.log extracted from logs.tar
Comment 5 Brian Lane 2015-11-18 19:24:21 EST
Created attachment 1096450 [details]
program.log extracted from logs.tar
Comment 6 Brian Lane 2015-11-18 19:24:23 EST
Created attachment 1096451 [details]
storage.log extracted from logs.tar
Comment 7 Brian Lane 2015-11-18 19:24:26 EST
Created attachment 1096452 [details]
anaconda.log extracted from logs.tar
Comment 8 Brian Lane 2015-11-18 19:24:28 EST
Created attachment 1096453 [details]
syslog extracted from logs.tar
Comment 9 Brian Lane 2015-11-18 19:28:24 EST
Please retry with the latest available 7.2 snapshot. There have been a number of changes related to fcoe.
Comment 10 Radek Vykydal 2015-11-19 04:10:07 EST
It is also possible that the issue can be worked around by giving anaconda some more time after adding fcoe targets and clicking "Refresh List".
Comment 11 Christopher Nivåsen 2015-11-19 14:56:22 EST
Latest 7.2  boot iso is already tried, same issue.
I have also tried "Refresh List" a couple of times after adding fcoe targets but no luck....the fcoe nics are down and the configuring are not done automatically by anaconda.

FCOE is working fine when I configure it manually in the anaconda shell.
For example like;
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Storage_Administration_Guide/fcoe-config.html

So RHEL6.7 is working just fine but not RHEL7.0+.
Same server and hardware.
Comment 12 Radek Vykydal 2015-11-20 03:17:58 EST
As it is impossible to reproduce the issue for me here, I need to ask for more logs to investigate.

I'd need
/tmp/anaconda.log
/tmp/syslog
/tmp/program.log
/tmp/ifcfg.log
/tmp/storage.log

for these cases with latest 7.2:

1) failing reproducer with anaconda GUI
2) working instance of configuring FCOE manually in shell. Please post also the commands you are using for manual configuration.

Thank you.
Comment 13 David Cantrell 2016-01-20 15:38:13 EST
If the requested information can be provided, please reopen the bug and attach the requested information.

Note You need to log in before you can comment on or make changes to this bug.